> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deals

> List deals. `status` is open, won or lost; `kind` is new_business or renewal.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/crm/deals
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/deals:
    get:
      tags:
        - CRM
      summary: List Deals
      description: >-
        List deals. `status` is open, won or lost; `kind` is new_business or
        renewal.
      operationId: list_crm_deals
      parameters:
        - in: query
          name: pipeline_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Pipeline Id
          required: false
        - in: query
          name: stage_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Stage Id
          required: false
        - in: query
          name: organization_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Organization Id
          required: false
        - in: query
          name: contact_id
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Contact Id
          required: false
        - in: query
          name: owner_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Owner Id
          required: false
        - in: query
          name: status
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
          required: false
        - in: query
          name: search
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
          required: false
        - in: query
          name: kind
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Kind
          required: false
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.